<?php
global $db,$user,$auth;
global $template,$cache;
global $config,$phpbb_root_path,$phpbb_admin_path,$phpEx;

define('IN_PHPBB',true);

$phpbb_root_path=(defined('PHPBB_ROOT_PATH'))?PHPBB_ROOT_PATH:'./';$phpEx=substr(strrchr(__FILE__,'.'),1);
include($phpbb_root_path.'common.'.$phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup();

page_header('Theme Control Panel');

$template->set_filenames(array('body'=>'m_tcp.html',));

if ( !$auth->acl_get('a_') ) {
  // TODO: USE MESSAGE ERROR : SEE ACP acl_get('a_')
  redirect(append_sid("{$phpbb_root_path}index.$phpEx"));
}


/**
 * SAVE SETTINGS :
 */

// General Settings
if(isset($_POST['submit_general']))
{
  set_config('mbrn_scrollCustom',request_var('mbrn_scrollCustom','0'));
  set_config('mbrn_scrollSmooth',request_var('mbrn_scrollSmooth','0'));
  set_config('mbrn_scrollAuto',request_var('mbrn_scrollAuto','0'));
  set_config('mbrn_logoText',request_var('mbrn_logoText','0'));
  set_config('mbrn_logoFont',request_var('mbrn_logoFont','0'));
  set_config('mbrn_logoIcon',request_var('mbrn_logoIcon','0'));
  set_config('mbrn_logoImg',request_var('mbrn_logoImg','0'));
  set_config('mbrn_favicon',request_var('mbrn_favicon','0'));
  set_config('mbrn_footerCopyright',request_var('mbrn_footerCopyright','0'));
  set_config('mbrn_footerFb',request_var('mbrn_footerFb','0'));
  set_config('mbrn_footerGp',request_var('mbrn_footerGp','0'));
  set_config('mbrn_footerTw',request_var('mbrn_footerTw','0'));
  set_config('mbrn_footerLn',request_var('mbrn_footerLn','0'));
  set_config('mbrn_footerPi',request_var('mbrn_footerPi','0'));
  set_config('mbrn_footerWp',request_var('mbrn_footerWp','0'));
  set_config('mbrn_footerYt',request_var('mbrn_footerYt','0'));
}

// Design Settings
if(isset($_POST['submit_design']))
{
  set_config('mbrn_colorPreset',request_var('mbrn_colorPreset','0'));
  set_config('mbrn_colorCustom',request_var('mbrn_colorCustom','0'));
  set_config('mbrn_bgImg',request_var('mbrn_bgImg','0'));
  set_config('mbrn_bgColor',request_var('mbrn_bgColor','0'));
  set_config('mbrn_fontUrl',request_var('mbrn_fontUrl','0'));
  set_config('mbrn_fontFamily',request_var('mbrn_fontFamily','0'));
  set_config('mbrn_fontHeaders',request_var('mbrn_fontHeaders','0'));
  set_config('mbrn_fontSize',request_var('mbrn_fontSize','0'));
  set_config('mbrn_layoutFull',request_var('mbrn_layoutFull','0'));
  set_config('mbrn_layoutSidebar',request_var('mbrn_layoutSidebar','0'));
  set_config('mbrn_layoutWidth',request_var('mbrn_layoutWidth','0'));
  set_config('mbrn_layoutHeader',request_var('mbrn_layoutHeader','0'));
  set_config('mbrn_layoutFooter',request_var('mbrn_layoutFooter','0'));
  set_config('mbrn_borders',request_var('mbrn_borders','0'));
}

// Menu Settings
if(isset($_POST['submit_menu']))
{
  set_config('mbrn_menuLink1',request_var('mbrn_menuLink1','0'));
  set_config('mbrn_menuLink2',request_var('mbrn_menuLink2','0'));
  set_config('mbrn_menuLink3',request_var('mbrn_menuLink3','0'));
  set_config('mbrn_menuLinkUrl1',request_var('mbrn_menuLinkUrl1','0'));
  set_config('mbrn_menuLinkUrl2',request_var('mbrn_menuLinkUrl2','0'));
  set_config('mbrn_menuLinkUrl3',request_var('mbrn_menuLinkUrl3','0'));
  set_config('mbrn_menuLinkIcon1',request_var('mbrn_menuLinkIcon1','0'));
  set_config('mbrn_menuLinkIcon2',request_var('mbrn_menuLinkIcon2','0'));
  set_config('mbrn_menuLinkIcon3',request_var('mbrn_menuLinkIcon3','0'));
  set_config('mbrn_menuIcons',request_var('mbrn_menuIcons','0'));
  set_config('mbrn_menuCircles',request_var('mbrn_menuCircles','0'));
  set_config('mbrn_menuMega',request_var('mbrn_menuMega','0'));
}

// Sidebar Widgets Settings
if(isset($_POST['submit_sidebar_widgets']))
{
  set_config('mbrn_wAd',request_var('mbrn_wAd','0'));
  set_config('mbrn_wAdTitle',request_var('mbrn_wAdTitle','0'));
  set_config('mbrn_wAdImg',request_var('mbrn_wAdImg','0'));
  set_config('mbrn_wAdUrl',request_var('mbrn_wAdUrl','0'));
  set_config('mbrn_wNote',request_var('mbrn_wNote','0'));
  set_config('mbrn_wNoteMsg',request_var('mbrn_wNoteMsg','0'));
  set_config('mbrn_wNoteUrl',request_var('mbrn_wNoteUrl','0'));
  set_config('mbrn_wCol',request_var('mbrn_wCol','0'));
  set_config('mbrn_wColTitle',request_var('mbrn_wColTitle','0'));
  set_config('mbrn_wColTxt',request_var('mbrn_wColTxt','0'));
  set_config('mbrn_wTabs',request_var('mbrn_wTabs','0'));
  set_config('mbrn_wTxt',request_var('mbrn_wTxt','0'));
  set_config('mbrn_wTxtTitle',request_var('mbrn_wTxtTitle','0'));
  set_config('mbrn_wTxtTXT',request_var('mbrn_wTxtTXT','0'));
}

// Ads Settings
if(isset($_POST['submit_ads']))
{
  set_config('mbrn_adsHeader',request_var('mbrn_adsHeader','0'));
  set_config('mbrn_adsFooter',request_var('mbrn_adsFooter','0'));
  set_config('mbrn_adsSidebar',request_var('mbrn_adsSidebar','0'));
  set_config('mbrn_adsInpage',request_var('mbrn_adsInpage','0'));
}



// Assign New Vars :
$template->assign_vars( array(

  // General Options Vars
  'MBRN_SCROLL_CUSTOM'    => $config['mbrn_scrollCustom'],
  'MBRN_SCROLL_SMOOTH'    => $config['mbrn_scrollSmooth'],
  'MBRN_SCROLL_AUTO'      => $config['mbrn_scrollAuto'],
  'MBRN_LOGO_TEXT'        => $config['mbrn_logoText'],
  'MBRN_LOGO_FONT'        => $config['mbrn_logoFont'],
  'MBRN_LOGO_ICON'        => $config['mbrn_logoIcon'],
  'MBRN_LOGO_IMG'         => $config['mbrn_logoImg'],
  'MBRN_FAVICON'          => $config['mbrn_favicon'],
  'MBRN_FOOTER_COPYRIGHT' => $config['mbrn_footerCopyright'],
  'MBRN_FOOTER_FB'        => $config['mbrn_footerFb'],
  'MBRN_FOOTER_GP'        => $config['mbrn_footerGp'],
  'MBRN_FOOTER_TW'        => $config['mbrn_footerTw'],
  'MBRN_FOOTER_LN'        => $config['mbrn_footerLn'],
  'MBRN_FOOTER_PI'        => $config['mbrn_footerPi'],
  'MBRN_FOOTER_WP'        => $config['mbrn_footerWp'],
  'MBRN_FOOTER_YT'        => $config['mbrn_footerYt'],

  // Design Options Vars
  'MBRN_COLOR_PRESET'     => $config['mbrn_colorPreset'],
  'MBRN_COLOR_CUSTOM'     => $config['mbrn_colorCustom'],
  'MBRN_BG_IMG'           => $config['mbrn_bgImg'],
  'MBRN_BG_COLOR'         => $config['mbrn_bgColor'],
  'MBRN_FONT_URL'         => $config['mbrn_fontUrl'],
  'MBRN_FONT_FAMILY'      => $config['mbrn_fontFamily'],
  'MBRN_FONT_HEADERS'     => $config['mbrn_fontHeaders'],
  'MBRN_FONT_SIZE'        => $config['mbrn_fontSize'],
  'MBRN_LAYOUT_FULL'      => $config['mbrn_layoutFull'],
  'MBRN_LAYOUT_SIDEBAR'   => $config['mbrn_layoutSidebar'],
  'MBRN_LAYOUT_WIDTH'     => $config['mbrn_layoutWidth'],
  'MBRN_LAYOUT_HEADER'    => $config['mbrn_layoutHeader'],
  'MBRN_LAYOUT_FOOTER'    => $config['mbrn_layoutFooter'],
  'MBRN_BORDERS'          => $config['mbrn_borders'],

  // Menu Options Vars
  'MBRN_MENU_LINK1'       => $config['mbrn_menuLink1'],
  'MBRN_MENU_LINKURL1'    => $config['mbrn_menuLinkUrl1'],
  'MBRN_MENU_LINKICON1'   => $config['mbrn_menuLinkIcon1'],
  'MBRN_MENU_LINK2'       => $config['mbrn_menuLink2'],
  'MBRN_MENU_LINKURL2'    => $config['mbrn_menuLinkUrl2'],
  'MBRN_MENU_LINKICON2'   => $config['mbrn_menuLinkIcon2'],
  'MBRN_MENU_LINK3'       => $config['mbrn_menuLink3'],
  'MBRN_MENU_LINKURL3'    => $config['mbrn_menuLinkUrl3'],
  'MBRN_MENU_LINKICON3'   => $config['mbrn_menuLinkIcon3'],

  'MBRN_MENU_ICONS'       => $config['mbrn_menuIcons'],
  'MBRN_MENU_CIRCLES'     => $config['mbrn_menuCircles'],
  'MBRN_MENU_MEGA'        => $config['mbrn_menuMega'],

  // Sidebar Widgets Options Vars
  'MBRN_W_AD'             => $config['mbrn_wAd'],
  'MBRN_W_AD_TITLE'       => $config['mbrn_wAdTitle'],
  'MBRN_W_AD_IMG'         => $config['mbrn_wAdImg'],
  'MBRN_W_AD_URL'         => $config['mbrn_wAdUrl'],

  'MBRN_W_NOTE'           => $config['mbrn_wNote'],
  'MBRN_W_NOTE_MSG'       => $config['mbrn_wNoteMsg'],
  'MBRN_W_NOTE_URL'       => $config['mbrn_wNoteUrl'],

  'MBRN_W_COL'            => $config['mbrn_wCol'],
  'MBRN_W_COL_TITLE'      => $config['mbrn_wColTitle'],
  'MBRN_W_COL_TXT'        => $config['mbrn_wColTxt'],

  'MBRN_W_TABS'           => $config['mbrn_wTabs'],

  'MBRN_W_TXT'            => $config['mbrn_wTxt'],
  'MBRN_W_TXT_TITLE'      => $config['mbrn_wTxtTitle'],
  'MBRN_W_TXT_TXT'        => $config['mbrn_wTxtTXT'],

  // Ads Options Vars
  'MBRN_ADS_HEADER'       => $config['mbrn_adsHeader'],
  'MBRN_ADS_FOOTER'       => $config['mbrn_adsFooter'],
  'MBRN_ADS_SIDEBAR'      => $config['mbrn_adsSidebar'],
  'MBRN_ADS_INPAGE'       => $config['mbrn_adsInpage'],

  ));



page_footer();
?>